package com.muyu.pay.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.muyu.pay.domain.OrderPayCustomer;
import com.muyu.pay.domain.req.CustomerListReq;
import com.muyu.pay.domain.resp.CustomerResp;
import java.util.List;

/**
 * @Classname OrderPayCustomerService
 * @Description TODO
 * @Date 2024/8/8 下午9:09
 * @Created by 杨旭飞
 */
public interface OrderPayCustomerService extends IService<OrderPayCustomer> {

    /**
     * 查询客户集合
     * @param customerListReq 请求参数
     * @return 客户集合
     */
    public List<CustomerResp> selectList(CustomerListReq customerListReq);

    /**
     * 获取所有的客户
     * @return 客户集合
     */
    List<String> getCustomerAllList();

    /**
     * 禁用客户
     * @param orderCustomerId 支付客户ID
     */
    void disable(Long orderCustomerId);

    /**
     * 启用客户
     * @param orderCustomerId 支付客户ID
     */
    void enable(Long orderCustomerId);

    /**
     * 通过客户ID设置客户状态
     * @param orderCustomerId 支付客户ID
     * @param status 状态 SysIsYesNo
     */
    void settingStatus(Long orderCustomerId, String status);
}