package com.muyu.pay.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.pay.domain.OrderPayInfo;
import com.muyu.pay.mapper.OrderPayMapper;
import com.muyu.pay.service.OrderPayService;
import org.springframework.stereotype.Service;
import java.util.List;

/**
 * @Classname OrderPayServiceImpl
 * @Description TODO
 * @Date 2024/8/9 下午9:09
 * @Created by 杨旭飞
 */
@Service
public class OrderPayServiceImpl extends ServiceImpl<OrderPayMapper, OrderPayInfo> implements OrderPayService {

    /**
     * 根据客户code和分页限制查询结果
     * @param appCode 客户code
     * @param limit 分页限制
     * @return 支付订单记录
     */
    @Override
    public List<OrderPayInfo> selectOrderPayByAppCodeAndLimit(String appCode, int limit) {
        LambdaQueryWrapper<OrderPayInfo> orderPayInfoQueryWrapper = new LambdaQueryWrapper<>();
        orderPayInfoQueryWrapper.eq(OrderPayInfo::getAppCode, appCode);
        orderPayInfoQueryWrapper.orderBy(true, false, OrderPayInfo::getCreateTime);
        orderPayInfoQueryWrapper.last("limit " + limit);
        List<OrderPayInfo> orderPayInfoList = this.list(orderPayInfoQueryWrapper);
        return this.list(orderPayInfoQueryWrapper);
    }
}